taccuino.vo

## Class NotaResponseDTO

- java.lang.Object
- - taccuino.vo.NotaRequestDTO
  - - taccuino.vo.NotaResponseDTO

-     public class NotaResponseDTO
      extends NotaRequestDTO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ContattiStruttureResponseDTO` | `contatti`
    `protected DocumentoResponseDTO` | `documento`
    `protected FarmaciIntegratoriResponseDTO` | `farmaciIntegratori`
    `protected String` | `id`
    `protected InformazioniPersonaliResponseDTO` | `informazioniPersonali`
    `protected OsservazioniPersonaliResponseDTO` | `osservazioniPersonali`
    `protected List<ProtesiAusilioResponseDTO>` | `protesiAusili`
    `protected LocalDateTime` | `tsAggiornamento`
    `protected LocalDateTime` | `tsCreazione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotaResponseDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattiStruttureResponseDTO` | `getContatti()`
    `DocumentoResponseDTO` | `getDocumento()`
    `FarmaciIntegratoriResponseDTO` | `getFarmaciIntegratori()`
    `String` | `getId()`
    `InformazioniPersonaliResponseDTO` | `getInformazioniPersonali()`
    `OsservazioniPersonaliResponseDTO` | `getOsservazioniPersonali()`
    `List<ProtesiAusilioResponseDTO>` | `getProtesiAusili()`
    `LocalDateTime` | `getTsAggiornamento()`
    `LocalDateTime` | `getTsCreazione()`
    `void` | `setContatti(ContattiStruttureResponseDTO contatti)`
    `void` | `setDocumento(DocumentoResponseDTO documento)`
    `void` | `setFarmaciIntegratori(FarmaciIntegratoriResponseDTO farmaciIntegratori)`
    `void` | `setId(String id)`
    `void` | `setInformazioniPersonali(InformazioniPersonaliResponseDTO informazioniPersonali)`
    `void` | `setOsservazioniPersonali(OsservazioniPersonaliResponseDTO osservazioniPersonali)`
    `void` | `setProtesiAusili(List<ProtesiAusilioResponseDTO> protesiAusili)`
    `void` | `setTsAggiornamento(LocalDateTime tsAggiornamento)`
    `void` | `setTsCreazione(LocalDateTime tsCreazione)`

    - ### Methods inherited from class taccuino.vo.NotaRequestDTO

      `getDescrizione, getTitolo, setDescrizione, setTitolo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### tsCreazione

          protected LocalDateTime tsCreazione

    - #### tsAggiornamento

          protected LocalDateTime tsAggiornamento

    - #### documento

          protected DocumentoResponseDTO documento

    - #### osservazioniPersonali

          protected OsservazioniPersonaliResponseDTO osservazioniPersonali

    - #### contatti

          protected ContattiStruttureResponseDTO contatti

    - #### farmaciIntegratori

          protected FarmaciIntegratoriResponseDTO farmaciIntegratori

    - #### informazioniPersonali

          protected InformazioniPersonaliResponseDTO informazioniPersonali

    - #### protesiAusili

          protected List<ProtesiAusilioResponseDTO> protesiAusili

  - ### Constructor Detail

    - #### NotaResponseDTO

          public NotaResponseDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getTsCreazione

          public LocalDateTime getTsCreazione()

    - #### setTsCreazione

          public void setTsCreazione(LocalDateTime tsCreazione)

    - #### getTsAggiornamento

          public LocalDateTime getTsAggiornamento()

    - #### setTsAggiornamento

          public void setTsAggiornamento(LocalDateTime tsAggiornamento)

    - #### getDocumento

          public DocumentoResponseDTO getDocumento()

    - #### setDocumento

          public void setDocumento(DocumentoResponseDTO documento)

    - #### getOsservazioniPersonali

          public OsservazioniPersonaliResponseDTO getOsservazioniPersonali()

    - #### setOsservazioniPersonali

          public void setOsservazioniPersonali(OsservazioniPersonaliResponseDTO osservazioniPersonali)

    - #### getContatti

          public ContattiStruttureResponseDTO getContatti()

    - #### setContatti

          public void setContatti(ContattiStruttureResponseDTO contatti)

    - #### getFarmaciIntegratori

          public FarmaciIntegratoriResponseDTO getFarmaciIntegratori()

    - #### setFarmaciIntegratori

          public void setFarmaciIntegratori(FarmaciIntegratoriResponseDTO farmaciIntegratori)

    - #### getInformazioniPersonali

          public InformazioniPersonaliResponseDTO getInformazioniPersonali()

    - #### setInformazioniPersonali

          public void setInformazioniPersonali(InformazioniPersonaliResponseDTO informazioniPersonali)

    - #### getProtesiAusili

          public List<ProtesiAusilioResponseDTO> getProtesiAusili()

    - #### setProtesiAusili

          public void setProtesiAusili(List<ProtesiAusilioResponseDTO> protesiAusili)